diff --git a/cmd/pomme/main.go b/cmd/pomme/main.go
index e8223e0..b1965a2 100644
--- a/cmd/pomme/main.go
+++ b/cmd/pomme/main.go
@@ -8,10 +8,10 @@ import (
 	"os/signal"
 	"time"
 
-	_ "git.freecumextremist.com/grumbulon/pomme/docs"
-	"git.freecumextremist.com/grumbulon/pomme/frontend"
-	"git.freecumextremist.com/grumbulon/pomme/internal"
-	"git.freecumextremist.com/grumbulon/pomme/internal/api"
+	_ "dns.froth.zone/pomme/docs"
+	"dns.froth.zone/pomme/frontend"
+	"dns.froth.zone/pomme/internal"
+	"dns.froth.zone/pomme/internal/api"
 	"github.com/go-chi/chi/v5"
 	"github.com/go-chi/chi/v5/middleware"
 	httpSwagger "github.com/swaggo/http-swagger"
diff --git a/go.mod b/go.mod
index ccb1f20..968c80a 100644
--- a/go.mod
+++ b/go.mod
@@ -1,4 +1,4 @@
-module git.freecumextremist.com/grumbulon/pomme
+module dns.froth.zone/pomme
 
 go 1.19
 
diff --git a/internal/api/api.go b/internal/api/api.go
index f257a6e..a5fa1e9 100644
--- a/internal/api/api.go
+++ b/internal/api/api.go
@@ -4,7 +4,7 @@ import (
 	"net/http"
 	"time"
 
-	"git.freecumextremist.com/grumbulon/pomme/internal"
+	"dns.froth.zone/pomme/internal"
 	"github.com/go-chi/chi/v5"
 	"github.com/go-chi/httprate"
 	"github.com/go-chi/jwtauth/v5"
diff --git a/internal/api/api_test.go b/internal/api/api_test.go
index 9500dc7..02b5dc1 100644
--- a/internal/api/api_test.go
+++ b/internal/api/api_test.go
@@ -15,8 +15,8 @@ import (
 	"testing"
 	"time"
 
-	"git.freecumextremist.com/grumbulon/pomme/internal"
-	"git.freecumextremist.com/grumbulon/pomme/internal/db"
+	"dns.froth.zone/pomme/internal"
+	"dns.froth.zone/pomme/internal/db"
 	"github.com/go-chi/chi/v5"
 	"github.com/go-chi/jwtauth/v5"
 	"github.com/stretchr/testify/assert"
diff --git a/internal/api/auth.go b/internal/api/auth.go
index 434ee2b..1a10922 100644
--- a/internal/api/auth.go
+++ b/internal/api/auth.go
@@ -4,7 +4,7 @@ import (
 	"net/http"
 	"time"
 
-	"git.freecumextremist.com/grumbulon/pomme/internal"
+	"dns.froth.zone/pomme/internal"
 	"github.com/go-chi/render"
 	"golang.org/x/crypto/bcrypt"
 	"gorm.io/gorm"
diff --git a/internal/api/fs.go b/internal/api/fs.go
index 3385ab7..07008c1 100644
--- a/internal/api/fs.go
+++ b/internal/api/fs.go
@@ -6,7 +6,7 @@ import (
 	"os"
 	"path/filepath"
 
-	"git.freecumextremist.com/grumbulon/pomme/internal"
+	"dns.froth.zone/pomme/internal"
 )
 
 var errEmptyFile = errors.New("will not save empty file to FS")
diff --git a/internal/api/helpers.go b/internal/api/helpers.go
index 1918f47..c10d169 100644
--- a/internal/api/helpers.go
+++ b/internal/api/helpers.go
@@ -6,8 +6,8 @@ import (
 	"net/http"
 	"time"
 
-	"git.freecumextremist.com/grumbulon/pomme/internal"
-	"git.freecumextremist.com/grumbulon/pomme/internal/db"
+	"dns.froth.zone/pomme/internal"
+	"dns.froth.zone/pomme/internal/db"
 	"github.com/go-chi/httplog"
 	"github.com/go-chi/render"
 	"gorm.io/gorm"
diff --git a/internal/api/jwt.go b/internal/api/jwt.go
index 84d2fda..8de9a04 100644
--- a/internal/api/jwt.go
+++ b/internal/api/jwt.go
@@ -4,7 +4,7 @@ import (
 	"fmt"
 	"time"
 
-	"git.freecumextremist.com/grumbulon/pomme/internal"
+	"dns.froth.zone/pomme/internal"
 	"github.com/go-chi/jwtauth/v5"
 )
 
diff --git a/internal/api/users.go b/internal/api/users.go
index 5e831ac..b681fb8 100644
--- a/internal/api/users.go
+++ b/internal/api/users.go
@@ -7,7 +7,7 @@ import (
 	"net/http"
 	"time"
 
-	"git.freecumextremist.com/grumbulon/pomme/internal"
+	"dns.froth.zone/pomme/internal"
 	"github.com/go-chi/render"
 	"golang.org/x/crypto/bcrypt"
 	"gorm.io/gorm"
diff --git a/internal/api/zone.go b/internal/api/zone.go
index 99b3e2b..28c4913 100644
--- a/internal/api/zone.go
+++ b/internal/api/zone.go
@@ -7,7 +7,7 @@ import (
 	"net/http"
 	"strings"
 
-	"git.freecumextremist.com/grumbulon/pomme/internal"
+	"dns.froth.zone/pomme/internal"
 	"github.com/go-chi/jwtauth/v5"
 	"github.com/go-chi/render"
 	"github.com/miekg/dns"
diff --git a/internal/db/db.go b/internal/db/db.go
index 0ad431e..b4aba7a 100644
--- a/internal/db/db.go
+++ b/internal/db/db.go
@@ -3,7 +3,7 @@ package db
 import (
 	"fmt"
 
-	"git.freecumextremist.com/grumbulon/pomme/internal"
+	"dns.froth.zone/pomme/internal"
 	"github.com/glebarez/sqlite"
 	"gorm.io/gorm"
 )
